/// Evolver Copyright 2000, Morgan McGuire
/// matrix@alum.mit.edu   http://graphics3d.com/matrix
public final class ArcTangent extends OneArgumentOperator implements ELOperator 
{
  static final float scale = 1.0f / (float)Math.atan(1.0);

  protected final float function(float f)
  {
    return (float)Math.atan(f) * scale;
  }

  public String name()
  {
    return "ArcTangent";
  }

  public String description()
  {
    return "Computes the arc tangent of the input matrix";
  }  
}
